Bug 155279 - [patch] sysutils/rubygem-chef: %%RC_SUBR%% not getting replaced
Summary: [patch] sysutils/rubygem-chef: %%RC_SUBR%% not getting replaced
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ruby (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-04 23:40 UTC by Dimitri Aivaliotis
Modified: 2011-03-05 01:50 UTC (History)
0 users

See Also:


Attachments
chef_client.in.diff (238 bytes, patch)
2011-03-04 23:40 UTC, Dimitri Aivaliotis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitri Aivaliotis 2011-03-04 23:40:09 UTC
The %%RC_SUBR%% variable in the rc script source files/chef_client.in isn't getting replaced by default. Rather than adding this variable to SUB_LIST, it makes more sense to explicitly replace it in the source file itself. This is done in numerous other rc script source files as well as in the example in the Porter's Handbook.
Comment 1 Edwin Groothuis freebsd_committer 2011-03-04 23:40:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

ruby@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-03-04 23:40:21 UTC
Maintainer of sysutils/rubygem-chef,

Please note that PR ports/155279 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/155279

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-03-04 23:40:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 renchap 2011-03-05 01:06:56 UTC
Le Fri, 4 Mar 2011 23:40:21 UT,
Edwin Groothuis <edwin@FreeBSD.org> a =C3=A9crit :

> Maintainer of sysutils/rubygem-chef,
>=20
> Please note that PR ports/155279 has just been submitted.
>=20
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>=20
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/155279
>=20

My mistake. I am ok for this change, thanks for reporting it!

--
Renaud Chaput
Comment 5 dfilter service freebsd_committer 2011-03-05 01:48:20 UTC
clsung      2011-03-05 01:48:11 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/rubygem-chef Makefile 
    sysutils/rubygem-chef/files chef_client.in 
  Log:
  - The %%RC_SUBR%% variable in the rc script source files/chef_client.in isn't getting replaced by default. Rather than adding this variable to SUB_LIST, it makes more sense to explicitly replace it in the source file itself. This is done in numerous other rc script source files as well as in the example in the Porter's Handbook.
  - bump PORTREVISION
  
  PR:             ports/155279
  Submitted by:   Dimitri Aivaliotis <aglarond_AT_gmail dot com>
  Approved by:    maintainer (Renaud Chaput)
  
  Revision  Changes    Path
  1.4       +1 -0      ports/sysutils/rubygem-chef/Makefile
  1.2       +2 -2      ports/sysutils/rubygem-chef/files/chef_client.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Cheng-Lung Sung freebsd_committer 2011-03-05 01:48:30 UTC
State Changed
From-To: feedback->closed

Committed. Thank You.